# Interface methods for submodule: GradientMagnitudeRecursiveGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: GradientMagnitudeRecursiveGaussianImageFilter
class GradientMagnitudeRecursiveGaussianImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def SetNormalizeAcrossScale(self, normalize: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def NormalizeAcrossScaleOn(self) -> None:
		""""""
		...

	def NormalizeAcrossScaleOff(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, nb: int) -> None:
		""""""
		...

